2011年8月12日

[ruby-list:48318] Re: WinXPでnokogiインストール

松永です。

(2011/08/12 16:18), AOKI Yoshihiro wrote:

> Nokogiriについては,DevKitを入れなくてもインストールできました。
>
> <ruby192,p3.1.8>Z:xml % gem install nokogiri
> Fetching: nokogiri-1.5.0-x86-mingw32.gem (100%)

> Successfully installed nokogiri-1.5.0-x86-mingw32
> 1 gem installed
> Installing ri documentation for nokogiri-1.5.0-x86-mingw32...
> Installing RDoc documentation for nokogiri-1.5.0-x86-mingw32...
>
>
> ということは,VC2010でビルドしたRuby用のgemがないということなんでしょうかね。

そうみたいですね。mingw32用にはビルド済みのgemが用意されていて、他のプ
ラットフォームだとコンパイルが走るのだと思います。Ruby Installerは、
devkit入れておくとnative extensionも怖くないのでオススメです。別のrubyの
バージョンが必要なときはpikで切り替えています。

--
松永肇一(keiichi matsunaga)
株式会社ライフメディア http://lifemedia.jp) 開発グループ


投稿者 xml-rpc : 2011年8月12日 16:36
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/105708
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。